# Generated by Django 3.0.3 on 2020-03-31 14:00

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0002_auto_20200331_1355'),
    ]

    operations = [
        migrations.AlterField(
            model_name='user',
            name='email',
            field=models.EmailField(max_length=254, validators=[django.core.validators.EmailValidator(code='invalid_email', message='Enter a valid email address')]),
        ),
        migrations.AlterField(
            model_name='user',
            name='first_name',
            field=models.CharField(max_length=30, validators=[django.core.validators.RegexValidator(code='invalid_firt_name', message='Firt_name must be letters', regex='^[a-zA-Z]+$')]),
        ),
        migrations.AlterField(
            model_name='user',
            name='last_name',
            field=models.CharField(max_length=30, validators=[django.core.validators.RegexValidator(code='invalid_last_name', message='Last_name must be letters', regex='^[a-zA-Z]+$')]),
        ),
        migrations.AlterField(
            model_name='user',
            name='username',
            field=models.CharField(max_length=30, validators=[django.core.validators.MinLengthValidator(limit_value=10, message='Enter a valid email address')]),
        ),
    ]
